% Add path for parameters and main subroutines:

addpath /huron/archive/umich/matlab/EQUATIONS_EARTHMOONEVOLUTION/WORKWITHWILLIAMS_STARTING_AUGUST2017/

load parameters_presentday_v9_use_structures.mat

% Extract parameters needed to compute U factors and then to invert the dissipations to solve for ksinchi values:

inclination_presentday=PresentDayValues_orbitalparameters.inclination_presentday;
eccentricity_presentday=PresentDayValues_orbitalparameters.eccentricity_presentday;
epsilon_presentday=PresentDayValues_orbitalparameters.epsilon_presentday;
M_S=EarthMoon_constants.M_S;
a_presentday=PresentDayValues_orbitalparameters.a_presentday;
M_M=EarthMoon_constants.M_M;
aprime=EarthMoon_constants.aprime;
eccentricityprime=EarthMoon_constants.eccentricityprime;

G=EarthMoon_constants.G;
R=EarthMoon_constants.R;
S_W_presentday=PresentDayValues_orbitalparameters.S_W_presentday;
n_presentday=PresentDayValues_orbitalparameters.n_presentday;
S_A_presentday=PresentDayValues_orbitalparameters.S_A_presentday;

jM_M2=ConstituentIndexParameters.vector_semidiurnal_jM(2);
jM_O1=ConstituentIndexParameters.vector_diurnal_jM(2);
oneplusdelta_q0_M2=ConstituentIndexParameters.vector_semidiurnal_oneplusdelta_q0(2);
oneplusdelta_q0_O1=ConstituentIndexParameters.vector_diurnal_oneplusdelta_q0(2);

% Compute the U factors that are needed to initialize the "U" vectors
%  as well as compute the dissipations under present-day conditions:

[vector_longperiod_U13,vector_longperiod_U11plusU22minus2U33,vector_diurnal_U11minusU33plusU12,vector_diurnal_U13minusU23,vector_semidiurnal_U11minusU22plus2U12,vector_semidiurnal_U13minusU23] = function_compute_all_Ufactors_fortimestepping(inclination_presentday,eccentricity_presentday,epsilon_presentday,M_S,a_presentday,M_M,aprime,eccentricityprime);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Load Schindelegger 55Ma results:

load /huron/archive/umich/papers/paper_daheretal_deeptimetides/SCHINDELEGGER_RUNS/compute_averages_NAS_runs_55Ma_add_extrarotationperiods.mat

rotationtimes=[24 23 22.5 22 21.5 21 20 18 16 14 12 10 8 6];

rotationrates=PresentDayValues_orbitalparameters.omega_E_presentday*24./rotationtimes;

M2_DQ=reshape(NAS_results_55Ma_add_extrarotationperiods.results_array(1,:,3),14,1);
M2_DL=reshape(NAS_results_55Ma_add_extrarotationperiods.results_array(1,:,4),14,1);
dissipation_M2=M2_DQ+M2_DL;
clear M2_DQ M2_DL

O1_DQ=reshape(NAS_results_55Ma_add_extrarotationperiods.results_array(2,:,3),14,1);
O1_DL=reshape(NAS_results_55Ma_add_extrarotationperiods.results_array(2,:,4),14,1);
dissipation_O1=O1_DQ+O1_DL;
clear O1_DQ O1_DL

[SchindeleggerResults_55Ma] = initialize_Schindelegger_results(rotationrates,dissipation_M2,dissipation_O1,jM_M2,jM_O1,oneplusdelta_q0_M2,oneplusdelta_q0_O1,G,M_M,a_presentday,R,S_W_presentday,n_presentday,S_A_presentday,vector_longperiod_U11plusU22minus2U33,vector_diurnal_U13minusU23,vector_semidiurnal_U11minusU22plus2U12);

clear dissipation_M2 dissipation_O1

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Now work with the other Schindelegger results:

load /huron/archive/umich/papers/paper_daheretal_deeptimetides/SCHINDELEGGER_RUNS/compute_averages_NAS_runs.mat

rotationtimes=[24 22 20 18 16 14 12 10 8 6];

rotationrates=PresentDayValues_orbitalparameters.omega_E_presentday*24./rotationtimes;

% First, PD:

M2_DQ=reshape(NAS_results.results_array(1,1,:,3),10,1);
M2_DL=reshape(NAS_results.results_array(1,1,:,4),10,1);
dissipation_M2=M2_DQ+M2_DL;
clear M2_DQ M2_DL

O1_DQ=reshape(NAS_results.results_array(2,1,:,3),10,1);
O1_DL=reshape(NAS_results.results_array(2,1,:,4),10,1);
dissipation_O1=O1_DQ+O1_DL;
clear O1_DQ O1_DL

[SchindeleggerResults_PD] = initialize_Schindelegger_results(rotationrates,dissipation_M2,dissipation_O1,jM_M2,jM_O1,oneplusdelta_q0_M2,oneplusdelta_q0_O1,G,M_M,a_presentday,R,S_W_presentday,n_presentday,S_A_presentday,vector_longperiod_U11plusU22minus2U33,vector_diurnal_U13minusU23,vector_semidiurnal_U11minusU22plus2U12);

clear dissipation_M2 dissipation_O1


% Next, 116Ma:

M2_DQ=reshape(NAS_results.results_array(1,3,:,3),10,1);
M2_DL=reshape(NAS_results.results_array(1,3,:,4),10,1);
dissipation_M2=M2_DQ+M2_DL;
clear M2_DQ M2_DL

O1_DQ=reshape(NAS_results.results_array(2,3,:,3),10,1);
O1_DL=reshape(NAS_results.results_array(2,3,:,4),10,1);
dissipation_O1=O1_DQ+O1_DL;
clear O1_DQ O1_DL

[SchindeleggerResults_116Ma] = initialize_Schindelegger_results(rotationrates,dissipation_M2,dissipation_O1,jM_M2,jM_O1,oneplusdelta_q0_M2,oneplusdelta_q0_O1,G,M_M,a_presentday,R,S_W_presentday,n_presentday,S_A_presentday,vector_longperiod_U11plusU22minus2U33,vector_diurnal_U13minusU23,vector_semidiurnal_U11minusU22plus2U12);

clear dissipation_M2 dissipation_O1



% Next,252Ma:

M2_DQ=reshape(NAS_results.results_array(1,4,:,3),10,1);
M2_DL=reshape(NAS_results.results_array(1,4,:,4),10,1);
dissipation_M2=M2_DQ+M2_DL;
clear M2_DQ M2_DL

O1_DQ=reshape(NAS_results.results_array(2,4,:,3),10,1);
O1_DL=reshape(NAS_results.results_array(2,4,:,4),10,1);
dissipation_O1=O1_DQ+O1_DL;
clear O1_DQ O1_DL

[SchindeleggerResults_252Ma] = initialize_Schindelegger_results(rotationrates,dissipation_M2,dissipation_O1,jM_M2,jM_O1,oneplusdelta_q0_M2,oneplusdelta_q0_O1,G,M_M,a_presentday,R,S_W_presentday,n_presentday,S_A_presentday,vector_longperiod_U11plusU22minus2U33,vector_diurnal_U13minusU23,vector_semidiurnal_U11minusU22plus2U12);

clear dissipation_M2 dissipation_O1



save initialize_Schindelegger_results.mat SchindeleggerResults_PD SchindeleggerResults_55Ma SchindeleggerResults_116Ma SchindeleggerResults_252Ma

