% Re-run 13 June 2021, after the "v9" version of the parameter structure was 
%   generated


% Re-run 24 December 2020 and 8 February 2021, after v8 stuctures are in place

% Load parameters for the present-day:

load parameters_presentday_v9_use_structures_nodeLF.mat

% Set a, aprime, eccentricityprime, inclination, eccentricity, epsilon, n, nprime, and S_E
%      to the present-day values:

omega_E=PresentDayValues_orbitalparameters.omega_E_presentday;
a=PresentDayValues_orbitalparameters.a_presentday;
inclination=PresentDayValues_orbitalparameters.inclination_presentday;
eccentricity=PresentDayValues_orbitalparameters.eccentricity_presentday;
epsilon=PresentDayValues_orbitalparameters.epsilon_presentday;
n=PresentDayValues_orbitalparameters.n_presentday;

aprime=EarthMoon_constants.aprime;
eccentricityprime=EarthMoon_constants.eccentricityprime;
nprime=EarthMoon_constants.nprime;
G=EarthMoon_constants.G;
k2fluid=EarthMoon_constants.k2fluid;
sfluid=EarthMoon_constants.sfluid;
M_E=EarthMoon_constants.M_E;
R=EarthMoon_constants.R;
C_0=EarthMoon_constants.C_0;
M_S=EarthMoon_constants.M_S;
M_M=EarthMoon_constants.M_M;

vector_longperiod_oneplusdelta_q0=ConstituentIndexParameters.vector_longperiod_oneplusdelta_q0;
vector_longperiod_jM=ConstituentIndexParameters.vector_longperiod_jM;
vector_longperiod_jW=ConstituentIndexParameters.vector_longperiod_jW;
vector_longperiod_jOmega=ConstituentIndexParameters.vector_longperiod_jOmega;
vector_longperiod_ksinchi_bodytide=ksinchi_vectors.vector_longperiod_ksinchi_bodytide;
vector_longperiod_ksinchi_oceantide=ksinchi_vectors.vector_longperiod_ksinchi_oceantide;

vector_diurnal_oneplusdelta_q0=ConstituentIndexParameters.vector_diurnal_oneplusdelta_q0;
vector_diurnal_qfactor=ConstituentIndexParameters.vector_diurnal_qfactor;
vector_longperiod_qfactor=ConstituentIndexParameters.vector_longperiod_qfactor;
vector_diurnal_jM=ConstituentIndexParameters.vector_diurnal_jM;
vector_diurnal_jW=ConstituentIndexParameters.vector_diurnal_jW;
vector_diurnal_jOmega=ConstituentIndexParameters.vector_diurnal_jOmega;
vector_diurnal_ksinchi_bodytide=ksinchi_vectors.vector_diurnal_ksinchi_bodytide;
vector_diurnal_ksinchi_oceantide=ksinchi_vectors.vector_diurnal_ksinchi_oceantide;

vector_semidiurnal_oneplusdelta_q0=ConstituentIndexParameters.vector_semidiurnal_oneplusdelta_q0;
vector_semidiurnal_qfactor=ConstituentIndexParameters.vector_semidiurnal_qfactor;
vector_semidiurnal_jM=ConstituentIndexParameters.vector_semidiurnal_jM;
vector_semidiurnal_jW=ConstituentIndexParameters.vector_semidiurnal_jW;
vector_semidiurnal_jOmega=ConstituentIndexParameters.vector_semidiurnal_jOmega;
vector_semidiurnal_ksinchi_bodytide=ksinchi_vectors.vector_semidiurnal_ksinchi_bodytide;
vector_semidiurnal_ksinchi_oceantide=ksinchi_vectors.vector_semidiurnal_ksinchi_oceantide;

% Compute S_E, S_A, S_W and C_of_omega_E:

S_E = compute_S_E(n,nprime);
S_A = compute_S_A(n,nprime);
[S_W]=compute_S_W(omega_E,k2fluid,sfluid);
[C_of_omega_E]=compute_C_of_omega_E(omega_E,k2fluid,sfluid,M_E,R,C_0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Diurnal tides

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Compute U13minusU23 values for the diurnal tides:

[U13minusU23_K1_lunarpart,U13minusU23_K1_solarpart,U13minusU23_O1,U13minusU23_P1,U13minusU23_Q1,U13minusU23_diurnal_node,U13minusU23_diurnal_LF]=computeUcombinations_diurnaltides_nodeLF(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% K1

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U13minusU23 to the present-day K1 value, where we add the lunar and solar parts:

U13minusU23=U13minusU23_K1_lunarpart+U13minusU23_K1_solarpart;

oneplusdelta_q0=vector_diurnal_oneplusdelta_q0(1);
jM=vector_diurnal_jM(1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% K1 body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the K1 body tide value:

ksinchi=vector_diurnal_ksinchi_bodytide(1);

[power_K1_bodytide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_K1_bodytide
% answer -2.1488e+10

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_K1_bodytide;
[ksinchi_K1_bodytide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_K1_bodytide_frominversion
% answer -0.0012
ksinchi_K1_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% K1 ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the K1 ocean tide value:

ksinchi=vector_diurnal_ksinchi_oceantide(1);

[power_K1_oceantide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_K1_oceantide
% answer 2.9008e+11
% Compares fairly well to 0.343 TW value from Egbert and Ray 2003

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_K1_oceantide;
[ksinchi_K1_oceantide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_K1_oceantide_frominversion
% answer 0.0162
ksinchi_K1_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% O1

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U13minusU23 to the present-day O1 value:

U13minusU23=U13minusU23_O1;

% Set oneplusdelta_q0 and jM to the O1 values:

oneplusdelta_q0=vector_diurnal_oneplusdelta_q0(2);
jM=vector_diurnal_jM(2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% O1 body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the O1 body tide value:

ksinchi=vector_diurnal_ksinchi_bodytide(2);

[power_O1_bodytide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_O1_bodytide
% answer 1.1729e+10 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_O1_bodytide;
[ksinchi_O1_bodytide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_O1_bodytide_frominversion
% answer 0.0014
ksinchi_O1_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% O1 ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the O1 ocean tide value:

ksinchi=vector_diurnal_ksinchi_oceantide(2);

[power_O1_oceantide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_O1_oceantide
% answer 1.8431e+11 watts
% Compares fairly well to 0.173 TW value from Egbert and Ray 2003

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_O1_oceantide;
[ksinchi_O1_oceantide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_O1_oceantide_frominversion
% answer 0.0220
ksinchi_O1_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% P1

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U13minusU23 to the present-day P1 value:

U13minusU23=U13minusU23_P1;

oneplusdelta_q0=vector_diurnal_oneplusdelta_q0(3);
jM=vector_diurnal_jM(3);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% P1 body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the P1 body tide value:

ksinchi=vector_diurnal_ksinchi_bodytide(3);

[power_P1_bodytide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_P1_bodytide
% answer 1.3599e+09 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_P1_bodytide;
[ksinchi_P1_bodytide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_P1_bodytide_frominversion
% answer 0.0007
ksinchi_P1_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% P1 ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the P1 ocean tide value:

ksinchi=vector_diurnal_ksinchi_oceantide(3);

[power_P1_oceantide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_P1_oceantide
% answer 3.1277e+10 watts
% Compares fairly well to 0.035 TW value from Egbert and Ray 2003

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_P1_oceantide;
[ksinchi_P1_oceantide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_P1_oceantide_frominversion
% answer 0.0161
ksinchi_P1_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Q1

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U13minusU23 to the present-day Q1 value:

U13minusU23=U13minusU23_Q1;

% Set oneplusdelta_q0 and jM to the Q1 values:

oneplusdelta_q0=vector_diurnal_oneplusdelta_q0(4);
jM=vector_diurnal_jM(4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Q1 body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the Q1 body tide value:

ksinchi=vector_diurnal_ksinchi_bodytide(4);

[power_Q1_bodytide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_Q1_bodytide
% answer 4.1655e+08 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_Q1_bodytide;
[ksinchi_Q1_bodytide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_Q1_bodytide_frominversion
% answer 0.0014
ksinchi_Q1_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Q1 ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the Q1 ocean tide value:

ksinchi=vector_diurnal_ksinchi_oceantide(4);

[power_Q1_oceantide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_Q1_oceantide
% answer 6.7243e+09 watts
% Compares fairly well to 0.007 TW value from Egbert and Ray 2003

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_Q1_oceantide;
[ksinchi_Q1_oceantide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_Q1_oceantide_frominversion
% answer 0.0226
ksinchi_Q1_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Diurnal node

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U13minusU23 to the present-day diurnal node value:

U13minusU23=U13minusU23_diurnal_node;

% Set oneplusdelta_q0 and jM to the diurnal node values:

oneplusdelta_q0=vector_diurnal_oneplusdelta_q0(5);
jM=vector_diurnal_jM(5);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Diurnal node body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the diurnal node body tide value:

ksinchi=vector_diurnal_ksinchi_bodytide(5);

[power_diurnal_node_bodytide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_diurnal_node_bodytide
% answer -5.0207e+08 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_diurnal_node_bodytide;
[ksinchi_diurnal_node_bodytide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_diurnal_node_bodytide_frominversion
% answer -0.0015
ksinchi_diurnal_node_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Diurnal node ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the diurnal node ocean tide value:

ksinchi=vector_diurnal_ksinchi_oceantide(5);

[power_diurnal_node_oceantide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_diurnal_node_oceantide
% answer 5.4224e+09 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_diurnal_node_oceantide;
[ksinchi_diurnal_node_oceantide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_diurnal_node_oceantide_frominversion
% answer 0.0162
ksinchi_diurnal_node_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power









%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Diurnal LF

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U13minusU23 to the present-day diurnal LF value:

U13minusU23=U13minusU23_diurnal_LF;

% Set oneplusdelta_q0 and jM to the diurnal LF values:

oneplusdelta_q0=vector_diurnal_oneplusdelta_q0(6);
jM=vector_diurnal_jM(6);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Diurnal LF body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the diurnal LF body tide value:

ksinchi=vector_diurnal_ksinchi_bodytide(6);

[power_diurnal_LF_bodytide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_diurnal_LF_bodytide
% answer 4.2536e+08 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_diurnal_LF_bodytide;
[ksinchi_diurnal_LF_bodytide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_diurnal_LF_bodytide_frominversion
% answer 0.0014
ksinchi_diurnal_LF_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Diurnal LF ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the diurnal LF ocean tide value:

ksinchi=vector_diurnal_ksinchi_oceantide(6);

[power_diurnal_LF_oceantide] = compute_diurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,ksinchi);

power_diurnal_LF_oceantide
% answer 6.6843e+09 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_diurnal_LF_oceantide;
[ksinchi_diurnal_LF_oceantide_frominversion] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U13minusU23,power);
ksinchi_diurnal_LF_oceantide_frominversion
% answer 0.0220
ksinchi_diurnal_LF_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power


