% Re-run 13 June 2021, after the "v9" version of the parameter structure was 
%   generated

% Re-run 24 December 2020 and 8 February 2021, after v8 stuctures are in place

% Load parameters for the present-day:

load parameters_presentday_v9_use_structures_nodeLF.mat

% Set a, aprime, eccentricityprime, inclination, eccentricity, epsilon, n, nprime, and S_E
%      to the present-day values:

omega_E=PresentDayValues_orbitalparameters.omega_E_presentday;
a=PresentDayValues_orbitalparameters.a_presentday;
inclination=PresentDayValues_orbitalparameters.inclination_presentday;
eccentricity=PresentDayValues_orbitalparameters.eccentricity_presentday;
epsilon=PresentDayValues_orbitalparameters.epsilon_presentday;
n=PresentDayValues_orbitalparameters.n_presentday;

aprime=EarthMoon_constants.aprime;
eccentricityprime=EarthMoon_constants.eccentricityprime;
nprime=EarthMoon_constants.nprime;
G=EarthMoon_constants.G;
k2fluid=EarthMoon_constants.k2fluid;
sfluid=EarthMoon_constants.sfluid;
M_E=EarthMoon_constants.M_E;
R=EarthMoon_constants.R;
C_0=EarthMoon_constants.C_0;
M_S=EarthMoon_constants.M_S;
M_M=EarthMoon_constants.M_M;

vector_longperiod_oneplusdelta_q0=ConstituentIndexParameters.vector_longperiod_oneplusdelta_q0;
vector_longperiod_jM=ConstituentIndexParameters.vector_longperiod_jM;
vector_longperiod_jW=ConstituentIndexParameters.vector_longperiod_jW;
vector_longperiod_jOmega=ConstituentIndexParameters.vector_longperiod_jOmega;
vector_longperiod_ksinchi_bodytide=ksinchi_vectors.vector_longperiod_ksinchi_bodytide;
vector_longperiod_ksinchi_oceantide=ksinchi_vectors.vector_longperiod_ksinchi_oceantide;

vector_diurnal_oneplusdelta_q0=ConstituentIndexParameters.vector_diurnal_oneplusdelta_q0;
vector_diurnal_qfactor=ConstituentIndexParameters.vector_diurnal_qfactor;
vector_longperiod_qfactor=ConstituentIndexParameters.vector_longperiod_qfactor;
vector_diurnal_jM=ConstituentIndexParameters.vector_diurnal_jM;
vector_diurnal_jW=ConstituentIndexParameters.vector_diurnal_jW;
vector_diurnal_jOmega=ConstituentIndexParameters.vector_diurnal_jOmega;
vector_diurnal_ksinchi_bodytide=ksinchi_vectors.vector_diurnal_ksinchi_bodytide;
vector_diurnal_ksinchi_oceantide=ksinchi_vectors.vector_diurnal_ksinchi_oceantide;

vector_semidiurnal_oneplusdelta_q0=ConstituentIndexParameters.vector_semidiurnal_oneplusdelta_q0;
vector_semidiurnal_qfactor=ConstituentIndexParameters.vector_semidiurnal_qfactor;
vector_semidiurnal_jM=ConstituentIndexParameters.vector_semidiurnal_jM;
vector_semidiurnal_jW=ConstituentIndexParameters.vector_semidiurnal_jW;
vector_semidiurnal_jOmega=ConstituentIndexParameters.vector_semidiurnal_jOmega;
vector_semidiurnal_ksinchi_bodytide=ksinchi_vectors.vector_semidiurnal_ksinchi_bodytide;
vector_semidiurnal_ksinchi_oceantide=ksinchi_vectors.vector_semidiurnal_ksinchi_oceantide;

% Compute S_E, S_A, S_W and C_of_omega_E:

S_E = compute_S_E(n,nprime);
S_A = compute_S_A(n,nprime);
[S_W]=compute_S_W(omega_E,k2fluid,sfluid);
[C_of_omega_E]=compute_C_of_omega_E(omega_E,k2fluid,sfluid,M_E,R,C_0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Long period tides

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Compute U11plusU22minus2U33 values for the long period tides:

[U11plusU22minus2U33_constant_lunarpart,U11plusU22minus2U33_constant_solarpart,U11plusU22minus2U33_Mf,U11plusU22minus2U33_Mm]=computeUcombinations_longperiodtides(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Mf

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U11plusU22plus2U33 to the present-day Mf value:

U11plusU22minus2U33=U11plusU22minus2U33_Mf;

% Set oneplusdelta_q0 and jM to the Mf values:

oneplusdelta_q0=vector_longperiod_oneplusdelta_q0(1);
jM=vector_longperiod_jM(1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Mf body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the Mf body tide value:

ksinchi=vector_longperiod_ksinchi_bodytide(1);

[power_Mf_bodytide] = compute_longperiod_powerdissipation_from_ksinchi(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,ksinchi);

power_Mf_bodytide
% answer 8.9184e+07 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_Mf_bodytide;
[ksinchi_Mf_bodytide_frominversion] = compute_longperiod_ksinchi_from_powerdissipation(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,power);
ksinchi_Mf_bodytide_frominversion
% answer 0.0021
ksinchi_Mf_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Mf ocean tide dissipation 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the Mf ocean tide value:

ksinchi=vector_longperiod_ksinchi_oceantide(1);

[power_Mf_oceantide] = compute_longperiod_powerdissipation_from_ksinchi(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,ksinchi);

power_Mf_oceantide
% answer 4.1619e+08 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_Mf_oceantide;
[ksinchi_Mf_oceantide_frominversion] = compute_longperiod_ksinchi_from_powerdissipation(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,power);
ksinchi_Mf_oceantide_frominversion
% answer 0.0098
ksinchi_Mf_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Mm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U11plusU22plus2U33 to the present-day Mm value:

U11plusU22minus2U33=U11plusU22minus2U33_Mm;

% Set oneplusdelta_q0 and jM to the Mf values:

oneplusdelta_q0=vector_longperiod_oneplusdelta_q0(2);
jM=vector_longperiod_jM(2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Mm body tide dissipation 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the Mm body tide value:

ksinchi=vector_longperiod_ksinchi_bodytide(2);

[power_Mm_bodytide] = compute_longperiod_powerdissipation_from_ksinchi(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,ksinchi);

power_Mm_bodytide
% answer 1.4876e+07 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_Mm_bodytide;
[ksinchi_Mm_bodytide_frominversion] = compute_longperiod_ksinchi_from_powerdissipation(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,power);
ksinchi_Mm_bodytide_frominversion
% answer 0.0024
ksinchi_Mm_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Mm ocean tide dissipation 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the Mm ocean tide value:

ksinchi=vector_longperiod_ksinchi_oceantide(2);

[power_Mm_oceantide] = compute_longperiod_powerdissipation_from_ksinchi(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,ksinchi);

power_Mm_oceantide
% answer 4.0910e+07 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_Mm_oceantide;
[ksinchi_Mm_oceantide_frominversion] = compute_longperiod_ksinchi_from_powerdissipation(n,S_A,G,M_M,a,R,jM,U11plusU22minus2U33,power);
ksinchi_Mm_oceantide_frominversion
% answer 0.0066
ksinchi_Mm_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power
