% Re-run 13 June 2021, after the "v9" version of the parameter structure was 
%   generated

% Re-run 24 December 2020 and 8 February 2021, after v8 stuctures are in place

% Load parameters for the present-day:

load parameters_presentday_v9_use_structures_nodeLF.mat

% Set a, aprime, eccentricityprime, inclination, eccentricity, epsilon, n, nprime, and S_E
%      to the present-day values:

omega_E=PresentDayValues_orbitalparameters.omega_E_presentday;
a=PresentDayValues_orbitalparameters.a_presentday;
inclination=PresentDayValues_orbitalparameters.inclination_presentday;
eccentricity=PresentDayValues_orbitalparameters.eccentricity_presentday;
epsilon=PresentDayValues_orbitalparameters.epsilon_presentday;
n=PresentDayValues_orbitalparameters.n_presentday;

aprime=EarthMoon_constants.aprime;
eccentricityprime=EarthMoon_constants.eccentricityprime;
nprime=EarthMoon_constants.nprime;
G=EarthMoon_constants.G;
k2fluid=EarthMoon_constants.k2fluid;
sfluid=EarthMoon_constants.sfluid;
M_E=EarthMoon_constants.M_E;
R=EarthMoon_constants.R;
C_0=EarthMoon_constants.C_0;
M_S=EarthMoon_constants.M_S;
M_M=EarthMoon_constants.M_M;

vector_longperiod_oneplusdelta_q0=ConstituentIndexParameters.vector_longperiod_oneplusdelta_q0;
vector_longperiod_jM=ConstituentIndexParameters.vector_longperiod_jM;
vector_longperiod_jW=ConstituentIndexParameters.vector_longperiod_jW;
vector_longperiod_jOmega=ConstituentIndexParameters.vector_longperiod_jOmega;
vector_longperiod_ksinchi_bodytide=ksinchi_vectors.vector_longperiod_ksinchi_bodytide;
vector_longperiod_ksinchi_oceantide=ksinchi_vectors.vector_longperiod_ksinchi_oceantide;

vector_diurnal_oneplusdelta_q0=ConstituentIndexParameters.vector_diurnal_oneplusdelta_q0;
vector_diurnal_qfactor=ConstituentIndexParameters.vector_diurnal_qfactor;
vector_longperiod_qfactor=ConstituentIndexParameters.vector_longperiod_qfactor;
vector_diurnal_jM=ConstituentIndexParameters.vector_diurnal_jM;
vector_diurnal_jW=ConstituentIndexParameters.vector_diurnal_jW;
vector_diurnal_jOmega=ConstituentIndexParameters.vector_diurnal_jOmega;
vector_diurnal_ksinchi_bodytide=ksinchi_vectors.vector_diurnal_ksinchi_bodytide;
vector_diurnal_ksinchi_oceantide=ksinchi_vectors.vector_diurnal_ksinchi_oceantide;

vector_semidiurnal_oneplusdelta_q0=ConstituentIndexParameters.vector_semidiurnal_oneplusdelta_q0;
vector_semidiurnal_qfactor=ConstituentIndexParameters.vector_semidiurnal_qfactor;
vector_semidiurnal_jM=ConstituentIndexParameters.vector_semidiurnal_jM;
vector_semidiurnal_jW=ConstituentIndexParameters.vector_semidiurnal_jW;
vector_semidiurnal_jOmega=ConstituentIndexParameters.vector_semidiurnal_jOmega;
vector_semidiurnal_ksinchi_bodytide=ksinchi_vectors.vector_semidiurnal_ksinchi_bodytide;
vector_semidiurnal_ksinchi_oceantide=ksinchi_vectors.vector_semidiurnal_ksinchi_oceantide;

% Compute S_E, S_A, S_W and C_of_omega_E:

S_E = compute_S_E(n,nprime);
S_A = compute_S_A(n,nprime);
[S_W]=compute_S_W(omega_E,k2fluid,sfluid);
[C_of_omega_E]=compute_C_of_omega_E(omega_E,k2fluid,sfluid,M_E,R,C_0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Semidiurnal tides

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Compute U11minusU22plus2U12 values for the semidiurnal tides:

[U11minusU22plus2U12_K2_lunarpart,U11minusU22plus2U12_K2_solarpart,U11minusU22plus2U12_M2,U11minusU22plus2U12_S2,U11minusU22plus2U12_N2,U11minusU22plus2U12_semidiurnal_node,U11minusU22plus2U12_semidiurnal_LF]=computeUcombinations_semidiurnaltides_nodeLF(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% K2

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U11minusU22plus2U12 to the present-day K2 value, where we add the lunar and solar parts:

U11minusU22plus2U12=U11minusU22plus2U12_K2_lunarpart+U11minusU22plus2U12_K2_solarpart;

oneplusdelta_q0=vector_semidiurnal_oneplusdelta_q0(1);
jM=vector_semidiurnal_jM(1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% K2 body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the K2 body tide value:

ksinchi=vector_semidiurnal_ksinchi_bodytide(1);

[power_K2_bodytide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_K2_bodytide
% answer 2.1527e+09 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_K2_bodytide;
[ksinchi_K2_bodytide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_K2_bodytide_frominversion
% answer 0.0013
ksinchi_K2_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% K2 ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the K2 ocean tide value:

ksinchi=vector_semidiurnal_ksinchi_oceantide(1);

[power_K2_oceantide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_K2_oceantide
% answer 2.8979e+10 watts
% Compares fairly well to 0.030 TW value from Egbert and Ray 2003

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_K2_oceantide;
[ksinchi_K2_oceantide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_K2_oceantide_frominversion
% answer 0.0175
ksinchi_K2_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% M2

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U11minusU22plus2U12 to the present-day M2 value:

U11minusU22plus2U12=U11minusU22plus2U12_M2;

% Set oneplusdelta_q0 and jM to the M2 values:

oneplusdelta_q0=vector_semidiurnal_oneplusdelta_q0(2);
jM=vector_semidiurnal_jM(2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% M2 body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the M2 body tide value:

ksinchi=vector_semidiurnal_ksinchi_bodytide(2);

[power_M2_bodytide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_M2_bodytide
% answer 1.3355e+11 watts
%   compares fairly well to 110 +/- 25 GW value from Ray et al. (2001)

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_M2_bodytide;
[ksinchi_M2_bodytide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_M2_bodytide_frominversion
% answer 0.0013
ksinchi_M2_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% M2 ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the M2 ocean tide value:

ksinchi=vector_semidiurnal_ksinchi_oceantide(2);

[power_M2_oceantide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_M2_oceantide
% answer 2.4347e+12 watts
% Compares fairly well to 2.435 TW value from Egbert and Ray 2003

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_M2_oceantide;
[ksinchi_M2_oceantide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_M2_oceantide_frominversion
% answer 0.0237
ksinchi_M2_oceantide_frominversion-ksinchi
% answer 0; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% S2

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U11minusU22plus2U12 to the present-day S2 value:

U11minusU22plus2U12=U11minusU22plus2U12_S2;

% Set oneplusdelta_q0 and jM to the S2 values:

oneplusdelta_q0=vector_semidiurnal_oneplusdelta_q0(3);
jM=vector_semidiurnal_jM(3);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% S2 body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the S2 body tide value:

ksinchi=vector_semidiurnal_ksinchi_bodytide(3);

[power_S2_bodytide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_S2_bodytide
% answer 2.9781e+10 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_S2_bodytide;
[ksinchi_S2_bodytide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_S2_bodytide_frominversion
% answer 0.0013
ksinchi_S2_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% S2 ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the S2 ocean tide value:

ksinchi=vector_semidiurnal_ksinchi_oceantide(3);

[power_S2_oceantide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_S2_oceantide
% answer 3.9173e+11 watts
% Compares fairly well to 0.376 TW value from Egbert and Ray 2003

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_S2_oceantide;
[ksinchi_S2_oceantide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_S2_oceantide_frominversion
% answer 0.0171
ksinchi_S2_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% N2

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U11minusU22plus2U12 to the present-day N2 value:

U11minusU22plus2U12=U11minusU22plus2U12_N2;

% Set oneplusdelta_q0 and jM to the N2 values:

oneplusdelta_q0=vector_semidiurnal_oneplusdelta_q0(4);
jM=vector_semidiurnal_jM(4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% N2 body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the N2 body tide value:

ksinchi=vector_semidiurnal_ksinchi_bodytide(4);

[power_N2_bodytide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_N2_bodytide
% answer 4.8452e+09 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_N2_bodytide;
[ksinchi_N2_bodytide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_N2_bodytide_frominversion
% answer 0.0013
ksinchi_N2_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% N2 ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the N2 ocean tide value:

ksinchi=vector_semidiurnal_ksinchi_oceantide(4);

[power_N2_oceantide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_N2_oceantide
% answer 1.1479e+11 watts
% Compares fairly well to 0.110 TW value from Egbert and Ray 2003

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_N2_oceantide;
[ksinchi_N2_oceantide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_N2_oceantide_frominversion
% answer 0.0308
ksinchi_N2_oceantide_frominversion-ksinchi
% answer -3.4694e-18 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Semidiurnal node

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U11minusU22plus2U12 to the present-day semidiurnal node value:

U11minusU22plus2U12=U11minusU22plus2U12_semidiurnal_node;

% Set oneplusdelta_q0 and jM to the semidiurnal node values:

oneplusdelta_q0=vector_semidiurnal_oneplusdelta_q0(5);
jM=vector_semidiurnal_jM(5);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Semidiurnal node body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the semidiurnal node body tide value:

ksinchi=vector_semidiurnal_ksinchi_bodytide(5);

[power_semidiurnal_node_bodytide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_semidiurnal_node_bodytide
% answer 1.9376e+08 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_semidiurnal_node_bodytide;
[ksinchi_semidiurnal_node_bodytide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_semidiurnal_node_bodytide_frominversion
% answer 0.0013
ksinchi_semidiurnal_node_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Semidiurnal node ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the semidiurnal node ocean tide value:

ksinchi=vector_semidiurnal_ksinchi_oceantide(5);

[power_semidiurnal_node_oceantide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_semidiurnal_node_oceantide
% answer 2.6083e+09 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_semidiurnal_node_oceantide;
[ksinchi_semidiurnal_node_oceantide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_semidiurnal_node_oceantide_frominversion
% answer 0.0175
ksinchi_semidiurnal_node_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power














%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Semidiurnal LF

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set U11minusU22plus2U12 to the present-day semidiurnal LF value:

U11minusU22plus2U12=U11minusU22plus2U12_semidiurnal_LF;

% Set oneplusdelta_q0 and jM to the semidiurnal LF values:

oneplusdelta_q0=vector_semidiurnal_oneplusdelta_q0(6);
jM=vector_semidiurnal_jM(6);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Semidiurnal LF body tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the semidiurnal LF body tide value:

ksinchi=vector_semidiurnal_ksinchi_bodytide(6);

[power_semidiurnal_LF_bodytide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_semidiurnal_LF_bodytide
% answer 1.8289e+08 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_semidiurnal_LF_bodytide;
[ksinchi_semidiurnal_LF_bodytide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_semidiurnal_LF_bodytide_frominversion
% answer 0.0013
ksinchi_semidiurnal_LF_bodytide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Semidiurnal LF ocean tide dissipation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dissipation computed from Williams ksinchi value

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set ksinchi to the semidiurnal LF ocean tide value:

ksinchi=vector_semidiurnal_ksinchi_oceantide(6);

[power_semidiurnal_LF_oceantide] = compute_semidiurnal_powerdissipation_from_ksinchi(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,ksinchi);

power_semidiurnal_LF_oceantide
% answer 3.3342e+09 watts

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Check ksinchi computed from this dissipation value (i.e. check inversion of power formula):

power=power_semidiurnal_LF_oceantide;
[ksinchi_semidiurnal_LF_oceantide_frominversion] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a,R,oneplusdelta_q0,omega_E,S_W,jM,n,S_A,U11minusU22plus2U12,power);
ksinchi_semidiurnal_LF_oceantide_frominversion
% answer 0.0237
ksinchi_semidiurnal_LF_oceantide_frominversion-ksinchi
% answer 0 ; so the inversion worked perfectly
clear power


