function [da_dt] = compute_da_dt_longperiod(n,a,S_A,M_M,M_E,R,jM,U11plusU22minus2U33,ksinchi);

% Computes da_dt for a single long period constituent

% Uses the long period "q-" term in equation (30) of Williams and Boggs (2016)

da_dt = (1/2) * n * a * S_A * (M_M/M_E) * ( (R/a)^5 ) * jM * (-1/2) * (U11plusU22minus2U33^2) * ksinchi;




