function [da_dt_tidesinMoon,da_dt_Moon_coremantledissipation] = compute_da_dt_tidesinMoon(k2_over_Q_tidesinMoon,M_E,M_M,R_M,a,n,eccentricity,inclination,I_lunartilt,KoverC_Moon_coremantledissipation,xi_Moon_coremantledissipation,CovermRsquared_Moon_coremantledissipation);

% Compute da_dt_tidesinMoon due to tides in Moon, from formula on page 11 of 6 November 2017 Williams writeup

da_dt_tidesinMoon = -3 * k2_over_Q_tidesinMoon * (M_E/M_M) * ( (R_M/a)^5 ) * n * a * ( 7 * eccentricity^2 + ( sin( inclination + I_lunartilt) )^2 ) ;

% Compute da_dt_Moon_coremantledissipation due to core-mantle dissipation in Moon.  See Williams et al. 2001 and Williams emails of November 27, 2017

da_dt_Moon_coremantledissipation = - KoverC_Moon_coremantledissipation * ( 1 / ( 1 + xi_Moon_coremantledissipation^2 ) ) * CovermRsquared_Moon_coremantledissipation * ( 1 + ( M_M/M_E ) ) * ( ( R_M/a )^2 ) * 2 * a * ( ( sin (I_lunartilt) )^2 ) ;



