function [deccentricity_dt] = compute_deccentricity_dt_diurnal(n,S_E,eccentricity,M_M,M_E,R,a,jM,jW,U13minusU23,ksinchi);

% Computes deccentricity_dt for a single diurnal constituent

% Uses the diurnal "q-" term in equation (33) of Williams and Boggs (2016)

deccentricity_dt = (1/4) * (n*S_E/eccentricity) * (M_M/M_E) * ( (R/a)^5 ) * ( jM * (1 - eccentricity^2) -jW * sqrt(1-eccentricity^2) ) * 3 * (U13minusU23^2) * ksinchi;




