function [deccentricity_dt] = compute_deccentricity_dt_longperiod(n,S_E,eccentricity,M_M,M_E,R,a,jM,jW,U11plusU22minus2U33,ksinchi);

% Computes deccentricity_dt for a single long period constituent

% Uses the long period "q-" term in equation (33) of Williams and Boggs (2016)

deccentricity_dt = (1/4) * (n*S_E/eccentricity) * (M_M/M_E) * ( (R/a)^5 ) * ( jM * (1 - eccentricity^2) -jW * sqrt(1-eccentricity^2) ) * (-1/2) * (U11plusU22minus2U33^2) * ksinchi;




