function [deccentricity_dt] = compute_deccentricity_dt_semidiurnal(n,S_E,eccentricity,M_M,M_E,R,a,jM,jW,U11minusU22plus2U12,ksinchi);

% Computes deccentricity_dt for a single semidiurnal constituent

% Uses the semidiurnal "q-" term in equation (33) of Williams and Boggs (2016)

deccentricity_dt = (1/4) * (n*S_E/eccentricity) * (M_M/M_E) * ( (R/a)^5 ) * ( jM * (1 - eccentricity^2) -jW * sqrt(1-eccentricity^2) ) * (3/4) * (U11minusU22plus2U12^2) * ksinchi;




