function [deccentricity_dt_tidesinMoon] = compute_deccentricity_dt_tidesinMoon3(k2_tidesinMoon,Q_tidesinMoon,M_E,M_M,R_M,a,n,eccentricity,inclination,I_lunartilt);

% Computes deccentricity_dt due to tides in Moon, from the second formula 
% in Jim Williams writeup "Arbic More Moon Tides 112920.docx" in his email 
% of November 29, 2020

% Note that the output variable includes the extension "_tidesinMoon", 
% to make it consistent with outputs from the "tidesinMoon3" computations 
% for d/dt of inclination and a

% The following lines need to be changed when I get the other Q values from Jim

Q_M=Q_tidesinMoon;
Q_F=Q_tidesinMoon;
Q_FplusM=Q_tidesinMoon;
Q_2F=Q_tidesinMoon;
Q_2FminusM=Q_tidesinMoon;
Q_2FplusM=Q_tidesinMoon;
Q_3F=Q_tidesinMoon;
%Q_3FminusM=Q_tidesinMoon;
%Q_3FplusM=Q_tidesinMoon;

Q_FminusM=Q_tidesinMoon;
Q_2M=Q_tidesinMoon;
Q_Fplus2M=Q_tidesinMoon;
Q_2MminusF=Q_tidesinMoon;
%Q_4F=Q_tidesinMoon;
%Q_4FminusM=Q_tidesinMoon;
%Q_4FplusM=Q_tidesinMoon;

sinsquaredterm = (sin (inclination + I_lunartilt) )^2;
cossquaredterm = (cos (inclination + I_lunartilt) )^2;
onepluscossquaredterm = (1 + cos (inclination + I_lunartilt) )^2;
oneminuscossquaredterm = (1 - cos (inclination + I_lunartilt) )^2;

dummy1 =  3 * ( 1 - 3 * sinsquaredterm + (9/4) * (sinsquaredterm^2) )  * ( 1 + (5/4) * (eccentricity^2) ) ;
dummy2 = (1/4) * (onepluscossquaredterm) * ( 25 - (531/4) * ( eccentricity^2 ) ) ;
Q_M_term = (dummy1 + dummy2) * (1/Q_M);
clear dummy1 dummy2
Q_F_term = - sinsquaredterm * ( (1/4) * onepluscossquaredterm * (1 - (21/4) * (eccentricity^2) ) + cossquaredterm * (1 - (1/4) * (eccentricity)^2 ) * (1 / ( ( 1 - eccentricity^2)^3 ) )    ) * (1/Q_F) ; 
Q_FminusM_term = - (1/2) * sinsquaredterm * ( (1/4) * onepluscossquaredterm * (1 - (3/4) * (eccentricity^2) ) + 9 * cossquaredterm * (1 + (7/4) * (eccentricity)^2 ) ) * (1/Q_FminusM);
Q_FplusM_term = (1/2) * sinsquaredterm * ( (1/4) * onepluscossquaredterm * (49 - (1155/4) * (eccentricity^2) ) + 9 * cossquaredterm * (1 + (3/4) * (eccentricity)^2 ) ) * (1/Q_FplusM);
Q_2M_term = ( 1 - (eccentricity)^2 ) * (eccentricity^2) * ( (27/2) * (1 - 3 * sinsquaredterm + (9/4) * (sinsquaredterm^2) ) + 289 * (onepluscossquaredterm^2) * (1/16) ) * (1/Q_2M);
Q_2F_term = (-1/2) * (sinsquaredterm^2) * ( (3/2) * (1 - 5 * (eccentricity^2) ) + (1 / ( ( 1 - eccentricity^2)^3 ) ) )  * (1/Q_2F);
Q_2FminusM_term = (-3/8) * (sinsquaredterm^2) * ( (1/2) * (1 - (1/4) * (eccentricity^2) ) + 3 * ( 1 + (9/4) * (eccentricity^2) ) )  * (1/Q_2FminusM);
Q_2FplusM_term = (3/8) * (sinsquaredterm^2) * ( (1/2) * (49 - (869/4) * (eccentricity^2) ) + 3 * ( 1 + (1/4) * (eccentricity^2) ) ) * (1/Q_2FplusM);
Q_Fplus2M_term = (eccentricity^2) * (sinsquaredterm) * ( (289/4) * onepluscossquaredterm + (81/4) * cossquaredterm ) * (1/Q_Fplus2M); 
Q_2MminusF_term = (81/4) * (eccentricity^2) * sinsquaredterm *cossquaredterm * (1/Q_2MminusF);
Q_3F_term = (-3/4) * sinsquaredterm * oneminuscossquaredterm * (1/Q_3F);


deccentricity_dt_tidesinMoon = (-3/8) * k2_tidesinMoon * (M_E/(M_E+M_M)) * (M_E/M_M) * ( (R_M/a)^5 ) * n * eccentricity * ( Q_M_term + Q_F_term + Q_FminusM_term + Q_FplusM_term + Q_2M_term + Q_2F_term + Q_2FminusM_term + Q_2FplusM_term + Q_Fplus2M_term + Q_2MminusF_term + Q_3F_term );


