function [depsilon_dt] = compute_depsilon_dt_diurnal(G,M_M,M_E,a,R,C_of_omega_E,omega_E,oneplusdelta_q0,qfactor,U11minusU33plusU12,U13minusU23,ksinchi);

% Computes depsilon_dt for a single diurnal constituent

% Uses the diurnal "q-" term in equation (29b) of Williams and Boggs (2016)

% The "qfactor" takes into the account the fact that the "q+" and "q-" terms are equal for K1, whereas the "q+" terms are small for other constituents

depsilon_dt = (3/4) * G * (M_M^2) * ( 1 / ( M_E * a^3 ) ) * ( (R/a)^3 ) * ( M_E * R^2 / ( C_of_omega_E * omega_E ) ) * oneplusdelta_q0 * qfactor * U11minusU33plusU12 * U13minusU23 * ksinchi ;




