function [depsilon_dt] = compute_depsilon_dt_longperiod(G,M_M,M_E,a,R,C_of_omega_E,omega_E,oneplusdelta_q0,qfactor,U13,U11plusU22minus2U33,ksinchi);

% Computes depsilon_dt for a single long period constituent

% Uses the long period "q-" term in equation (29a) of Williams and Boggs (2016)

% The "qfactor" takes into the account the fact that the "q+" and "q-" terms are equal for the constant long period term, whereas the "q+" terms are small for other constituents

%depsilon_dt = -(3/4) * G * (M_M^2) * ( 1 / ( M_E * a^3 ) ) * ( (R/a)^3 ) * ( M_E * R^2 / ( C_of_omega_E * omega_E ) ) * oneplusdelta_q0 * qfactor * U13 * U11plusU22minus2U33 * ksinchi ;

% June 9, 2019: remove "qfactor", which was standing in as an extra factor of oneplusdelta_q0,  per comments from Jim Williams in his June 7, 2019 email; for Mm and Mf this makes no practical difference as the value of qfactor (and oneplusdelta_q0) for Mm and Mf is one

depsilon_dt = -(3/4) * G * (M_M^2) * ( 1 / ( M_E * a^3 ) ) * ( (R/a)^3 ) * ( M_E * R^2 / ( C_of_omega_E * omega_E ) ) * oneplusdelta_q0 * U13 * U11plusU22minus2U33 * ksinchi ;




