function [depsilon_dt] = compute_depsilon_dt_semidiurnal(G,M_M,M_E,a,R,C_of_omega_E,omega_E,oneplusdelta_q0,qfactor,U13minusU23,U11minusU22plus2U12,ksinchi);

% Computes depsilon_dt for a single semidiurnal constituent

% Uses the semidiurnal "q-" term in equation (29c) of Williams and Boggs (2016)

% The "qfactor" takes into the account the fact that the "q+" and "q-" terms are equal for K2, whereas the "q+" terms are small for other constituents

depsilon_dt = (3/8) * G * (M_M^2) * ( 1 / ( M_E * a^3 ) ) * ( (R/a)^3 ) * ( M_E * R^2 / ( C_of_omega_E * omega_E ) ) * oneplusdelta_q0 * qfactor * U13minusU23 * U11minusU22plus2U12 * ksinchi ;




