function [dinclination_dt] = compute_dinclination_dt_diurnal(n,S_E,inclination,eccentricity,M_M,M_E,R,a,jW,jOmega,U13minusU23,ksinchi);

% Computes dinclination_dt for a single diurnal constituent

% Uses the diurnal "q-" term in equation (34) of Williams and Boggs (2016)

dinclination_dt = (1/4) * ( n*S_E / ( sin(inclination) * sqrt(1-eccentricity^2) ) ) * (M_M/M_E) * ( (R/a)^5 ) * ( jW * cos(inclination) - jOmega ) * 3 * (U13minusU23^2) * ksinchi;




