function [dinclination_dt] = compute_dinclination_dt_longperiod(n,S_E,inclination,eccentricity,M_M,M_E,R,a,jW,jOmega,U11plusU22minus2U33,ksinchi);

% Computes dinclination_dt for a single long period constituent

% Uses the long period "q-" term in equation (34) of Williams and Boggs (2016)

dinclination_dt = (1/4) * ( n*S_E / ( sin(inclination) * sqrt(1-eccentricity^2) ) ) * (M_M/M_E) * ( (R/a)^5 ) * ( jW * cos(inclination) - jOmega ) * (-1/2) * (U11plusU22minus2U33^2) * ksinchi;




