function [dinclination_dt] = compute_dinclination_dt_semidiurnal(n,S_E,inclination,eccentricity,M_M,M_E,R,a,jW,jOmega,U11minusU22plus2U12,ksinchi);

% Computes dinclination_dt for a single semidiurnal constituent

% Uses the semidiurnal "q-" term in equation (34) of Williams and Boggs (2016)

dinclination_dt = (1/4) * ( n*S_E / ( sin(inclination) * sqrt(1-eccentricity^2) ) ) * (M_M/M_E) * ( (R/a)^5 ) * ( jW * cos(inclination) - jOmega ) * (3/4) * (U11minusU22plus2U12^2) * ksinchi;




