function [dinclination_dt_tidesinMoon,dinclination_dt_Moon_coremantledissipation] = compute_dinclination_dt_tidesinMoon3(k2_tidesinMoon,Q_tidesinMoon,M_E,M_M,R_M,a,n,eccentricity,inclination,I_lunartilt,KoverC_Moon_coremantledissipation,xi_Moon_coremantledissipation,CovermRsquared_Moon_coremantledissipation);

% Compute dinclination_dt_tidesinMoon due to tides in Moon, from the second formula in Jim Williams writeup "Arbic More Moon Tides 112920.docx" in his email of November 29, 2020

% The following lines need to be changed when I get the other Q values from Jim

%Q_M=Q_tidesinMoon;
Q_F=Q_tidesinMoon;
Q_FplusM=Q_tidesinMoon;
Q_2F=Q_tidesinMoon;
Q_2FminusM=Q_tidesinMoon;
Q_2FplusM=Q_tidesinMoon;
Q_3F=Q_tidesinMoon;
%Q_3FminusM=Q_tidesinMoon;
%Q_3FplusM=Q_tidesinMoon;

Q_FminusM=Q_tidesinMoon;
%Q_2M=Q_tidesinMoon;
Q_Fplus2M=Q_tidesinMoon;
Q_2MminusF=Q_tidesinMoon;

sinsquaredterm = (sin (inclination + I_lunartilt) )^2;
cossquaredterm = (cos (inclination + I_lunartilt) )^2;
onepluscossquaredterm = (1 + cos (inclination + I_lunartilt) )^2;
oneminuscossquaredterm = (1 - cos (inclination + I_lunartilt) )^2;


Q_F_term = ( (1/4) * onepluscossquaredterm * (1 - (9/2) * (eccentricity^2) ) + cossquaredterm * (1 / ( ( 1 - eccentricity^2)^(7/2) ) )    ) * (1/Q_F) ; 
Q_FminusM_term = (1/4) * ( eccentricity^2 ) * ( (1/4) * onepluscossquaredterm * (1 + (1/4) * (eccentricity^2) ) + 9 * cossquaredterm * (1 + (11/4) * (eccentricity^2) )    ) * (1/Q_FminusM) ; 
Q_FplusM_term = (1/4) * ( eccentricity^2 ) * ( (1/4) * onepluscossquaredterm * (49 - (763/4) * (eccentricity^2) ) + 9 * cossquaredterm * (1 + (11/4) * (eccentricity^2) )    ) * (1/Q_FplusM) ; 
Q_2F_term = (1/2) * sinsquaredterm * ( (3/2) * ( 1 - (9/2) * (eccentricity^2) ) + (1 / ( ( 1 - eccentricity^2 )^(7/2) ) ) ) * (1/Q_2F) ; 
Q_2FminusM_term = (3/8) * (eccentricity^2) * (sinsquaredterm) * ( (1/2) * ( 1 + (1/4)  * (eccentricity^2) ) + 3 * (1 + (11/4) * (eccentricity^2) ) ) * (1/Q_2FminusM) ;
Q_2FplusM_term = (3/8) * (eccentricity^2) * (sinsquaredterm) * ( (1/2) * ( 49 - (763/4)  * (eccentricity^2) ) + 3 * (1 + (11/4) * (eccentricity^2) ) ) * (1/Q_2FplusM) ;
Q_Fplus2M_term = (1/4) * (eccentricity^4) * ( 289 * onepluscossquaredterm * (1/4) + (81/4) * cossquaredterm ) * (1/Q_Fplus2M) ;
Q_2MminusF_term = (-81/16) * (eccentricity^4) * (cossquaredterm) * (1/Q_2MminusF) ;
Q_3F_term = (3/4) * oneminuscossquaredterm * (1 - (9/2) * (eccentricity^2) ) * (1/Q_3F) ; 

dinclination_dt_tidesinMoon = (-3/4) * k2_tidesinMoon * (M_E/(M_E+M_M)) * (M_E/M_M) * ( (R_M/a)^5 ) * n * ( cot(inclination) ) * sinsquaredterm * ( Q_F_term + Q_FminusM_term + Q_FplusM_term + Q_2F_term + Q_2FminusM_term + Q_2FplusM_term + Q_Fplus2M_term + Q_2MminusF_term + Q_3F_term );




% Compute dinclination_dt_Moon_coremantledissipation due to core-mantle dissipation in Moon.  See Williams et al. 2001 and Williams emails of November 27, 2017

dinclination_dt_Moon_coremantledissipation = - KoverC_Moon_coremantledissipation * ( 1 / ( 1 + xi_Moon_coremantledissipation^2 ) ) * CovermRsquared_Moon_coremantledissipation * ( 1 + ( M_M/M_E ) ) * ( ( R_M/a )^2 ) * ( ( sin (I_lunartilt) )^2 ) / sin(inclination);
