function [domega_E_dt] = compute_domega_E_dt_semidiurnal(G,M_M,M_E,a,R,S_W,C_of_omega_E,oneplusdelta_q0,qfactor,U11minusU22plus2U12,ksinchi);

% Computes domega_E_dt for a single semidiurnal constituent

% Uses the semidiurnal "q-" term in equation (28) of Williams and Boggs (2016)

% The "qfactor" takes into the account the fact that the "q+" and "q-" terms are equal for K2, whereas the "q+" terms are small for other constituents

domega_E_dt = -(3/8) * G * (M_M^2) * ( 1 / ( M_E * a^3 ) ) * ( (R/a)^3 ) * ( M_E * R^2 / ( S_W * C_of_omega_E ) ) * oneplusdelta_q0 * qfactor * (U11minusU22plus2U12^2) * ksinchi ;




