function [I_lunartilt] = compute_lunarequatorialtilt_WardEquation(dOmega_dt,inclination,n,EarthMoon_constants);

% Computes lunar equatorial tilt from equation (1) of Ward (1975)

CminusAoverC_tidesinMoon=EarthMoon_constants.CminusAoverC_tidesinMoon;
gamma_tidesinMoon=EarthMoon_constants.gamma_tidesinMoon;

fun=@(I_lunartilt) (3/2)*n*CminusAoverC_tidesinMoon*sin(I_lunartilt+inclination)*cos(I_lunartilt+inclination) + (3/8)*n*gamma_tidesinMoon*sin(I_lunartilt+inclination)*( 1 - cos(I_lunartilt+inclination) ) + dOmega_dt*sin(I_lunartilt);

I_lunartilt=fzero(fun,0);
