% This program was written to test the new version of 
%  compute_lunarequatorialtilt_WardEquation.m, which is based on
%  equation (1) of Ward (1975)--which is actually from Peale (1969).
%  It assumes a constant value of inclination, equal to the present-day value

load parameters_presentday_v9_use_structures_nodeLF.mat
nprime=EarthMoon_constants.nprime;
beta_tidesinMoon=EarthMoon_constants.beta_tidesinMoon;
G=EarthMoon_constants.G;
M_E=EarthMoon_constants.M_E;
M_M=EarthMoon_constants.M_M;
R=EarthMoon_constants.R;
c=EarthMoon_constants.c;
inclination_presentday=PresentDayValues_orbitalparameters.inclination_presentday;
a_presentday=PresentDayValues_orbitalparameters.a_presentday;

% Set up vector of a values:

a_vector=a_presentday*[0.25:0.001:1];

% Set up padded vector of I_lunartilt:

I_lunartilt_WardEquation_vector=[];
I_lunartilt_WardEquation_PDinclinationtimes2_vector=[];
I_lunartilt_WardEquation_PDinclinationtimes4_vector=[];
I_lunartilt_WilliamsApproximation_vector=[];
I_lunartilt_WilliamsApproximation_PDinclinationtimes2_vector=[];
I_lunartilt_WilliamsApproximation_PDinclinationtimes4_vector=[];

for m=1:length(a_vector)
  a=a_vector(m);
  [n]=compute_n_fromaandnprime(a,nprime,G,M_E,M_M);
  [dOmega_dt] = compute_noderate(nprime,n);
  [I_lunartilt_WardEquation] = compute_lunarequatorialtilt_WardEquation(dOmega_dt,inclination_presentday,n,EarthMoon_constants);
  I_lunartilt_WardEquation_vector=[I_lunartilt_WardEquation_vector I_lunartilt_WardEquation];
  [I_lunartilt_WardEquation_PDinclinationtimes2] = compute_lunarequatorialtilt_WardEquation(dOmega_dt,inclination_presentday*2,n,EarthMoon_constants);
  I_lunartilt_WardEquation_PDinclinationtimes2_vector=[I_lunartilt_WardEquation_PDinclinationtimes2_vector I_lunartilt_WardEquation_PDinclinationtimes2];
  [I_lunartilt_WardEquation_PDinclinationtimes4] = compute_lunarequatorialtilt_WardEquation(dOmega_dt,inclination_presentday*4,n,EarthMoon_constants);
  I_lunartilt_WardEquation_PDinclinationtimes4_vector=[I_lunartilt_WardEquation_PDinclinationtimes4_vector I_lunartilt_WardEquation_PDinclinationtimes4];


  % Now compute I_lunartilt from Williams approximation:

  I_lunartilt_WilliamsApproximation=compute_lunarequatorialtilt(dOmega_dt,inclination_presentday,beta_tidesinMoon,n,c);

  I_lunartilt_WilliamsApproximation_vector=[I_lunartilt_WilliamsApproximation_vector I_lunartilt_WilliamsApproximation];

  I_lunartilt_WilliamsApproximation_PDinclinationtimes2=compute_lunarequatorialtilt(dOmega_dt,inclination_presentday*2,beta_tidesinMoon,n,c);

  I_lunartilt_WilliamsApproximation_PDinclinationtimes2_vector=[I_lunartilt_WilliamsApproximation_PDinclinationtimes2_vector I_lunartilt_WilliamsApproximation_PDinclinationtimes2];

  I_lunartilt_WilliamsApproximation_PDinclinationtimes4=compute_lunarequatorialtilt(dOmega_dt,inclination_presentday*4,beta_tidesinMoon,n,c);

  I_lunartilt_WilliamsApproximation_PDinclinationtimes4_vector=[I_lunartilt_WilliamsApproximation_PDinclinationtimes4_vector I_lunartilt_WilliamsApproximation_PDinclinationtimes4];

end

figure(1)
subplot(3,1,1)
plot(a_vector/R,(180/pi)*I_lunartilt_WardEquation_vector,'k.',a_vector/R,(180/pi)*I_lunartilt_WilliamsApproximation_vector,'ro')
subplot(3,1,2)
plot(a_vector/R,(180/pi)*I_lunartilt_WardEquation_PDinclinationtimes2_vector,'k.',a_vector/R,(180/pi)*I_lunartilt_WilliamsApproximation_PDinclinationtimes2_vector,'ro')
subplot(3,1,3)
plot(a_vector/R,(180/pi)*I_lunartilt_WardEquation_PDinclinationtimes4_vector,'k.',a_vector/R,(180/pi)*I_lunartilt_WilliamsApproximation_PDinclinationtimes4_vector,'ro')


