function [power_dissipation_lunarcoremantleboundary] = compute_powerdissipation_Moon_coremantleboundary(EarthMoon_constants,n,I_lunartilt,KoverC_Moon_coremantledissipation,xi_Moon_coremantledissipation);

% Altered on 12 June 2021; KoverC_Moon_coremantledissipation is no longer taken from EarthMoon_constants, but is a separate input because it changes over time

% Computes power dissipation, in W, due to core-mantle boundary interactions in Moon, from formula given in March 24, 2019 email from Jim Williams

%KoverC_Moon_coremantledissipation=EarthMoon_constants.KoverC_Moon_coremantledissipation;
CovermRsquared_Moon_coremantledissipation=EarthMoon_constants.CovermRsquared_Moon_coremantledissipation;
M_M=EarthMoon_constants.M_M;
R_M=EarthMoon_constants.R_M;

power_dissipation_lunarcoremantleboundary=KoverC_Moon_coremantledissipation*(1/(1+xi_Moon_coremantledissipation^2))*CovermRsquared_Moon_coremantledissipation*M_M*(R_M^2)*(n^2)*( (sin(I_lunartilt) )^2 );


