function [power_dissipation_tidesinMoon] = compute_powerdissipation_tidesinMoon(da_dt_tidesinMoon,a,EarthMoon_constants);

% Computes power dissipation, in TW, due to tides in Moon, based on 
%    proportionality of this power dissipation to the da/dt due to 
%    tides in Moon

G=EarthMoon_constants.G;
M_M=EarthMoon_constants.M_M;
M_E=EarthMoon_constants.M_E;

							
power_dissipation_tidesinMoon=0.5*G*M_E*M_M*da_dt_tidesinMoon/(a^2);
