function [dpsi_dt_lunarpart,dpsi_dt_solarpart] = compute_precession_rate(EarthMoon_constants,omega_E,eccentricity,epsilon,a,inclination);

G=EarthMoon_constants.G;
M_M=EarthMoon_constants.M_M;
M_S=EarthMoon_constants.M_S;
eccentricityprime=EarthMoon_constants.eccentricityprime;
%C_0=EarthMoon_constants.C_0;
%R=EarthMoon_constants.R;
sfluid=EarthMoon_constants.sfluid;
k2fluid=EarthMoon_constants.k2fluid;
aprime=EarthMoon_constants.aprime;

dummy1 = ( (0.655*10^6) * ((omega_E)^2) * k2fluid );
dummy2 = ( 1  + (0.655*10^6) * ((omega_E)^2) * (sfluid + (2/3)*k2fluid) );
CminusAoverC = dummy1/dummy2;
clear dummy1 dummy2

dummy1 = ( (G*M_M) / (a^3) ) * (1 / (  (1 - eccentricity^2)^1.5 ) );
dummy2 = ( (G*M_S) / (aprime^3) ) * (1 / (  (1 - eccentricityprime^2)^1.5 ) );

dpsi_dt_lunarpart = (dummy1) * (3/2) * CminusAoverC * (1/omega_E) * ( cos(epsilon) ) * (1 - (3/2)*( sin(inclination) )^2);

dpsi_dt_solarpart = (dummy2) * (3/2) * CminusAoverC * (1/omega_E) * ( cos(epsilon) );

clear dummy1 dummy2
clear G M_M M_S eccentricityprime sfluid k2fluid aprime
clear omega_E eccentricity epsilon a
