function [vector_longperiod_U13,vector_longperiod_U11plusU22minus2U33,vector_diurnal_U11minusU33plusU12,vector_diurnal_U13minusU23,vector_semidiurnal_U11minusU22plus2U12,vector_semidiurnal_U13minusU23] = function_compute_all_Ufactors_fortimestepping_nodeLF(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);


% This code computes all the U factors and arranges them into vectors, to be  
%    used in the main time-stepping routine:


  % Compute U13 values for the long period tides:

  [U13_Mf]=computeUcombinations_longperiodtides_obliquity(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

  % Create vector of long-period U13 values, omitting the "CONSTANT" and Mm terms:

  vector_longperiod_U13=[U13_Mf];

  % Compute U11plusU22minus2U33 values for the long period tides:

  [U11plusU22minus2U33_constant_lunarpart,U11plusU22minus2U33_constant_solarpart,U11plusU22minus2U33_Mf,U11plusU22minus2U33_Mm]=computeUcombinations_longperiodtides(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

  % Create vector of long-period U11plusU22minus2U33 values, omitting the "CONSTANT" term:

  vector_longperiod_U11plusU22minus2U33=[U11plusU22minus2U33_Mf U11plusU22minus2U33_Mm];

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  % Compute U11minusU33plusU12 values for the diurnal tides:

[U11minusU33plusU12_K1_lunarpart,U11minusU33plusU12_K1_solarpart,U11minusU33plusU12_O1,U11minusU33plusU12_P1,U11minusU33plusU12_Q1,U11minusU33plusU12_diurnal_node,U11minusU33plusU12_diurnal_LF]=computeUcombinations_diurnaltides_obliquity_nodeLF(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);


  % Create vector of diurnal U11minusU33plusU12 values, adding the lunar and solar parts for K1:

  vector_diurnal_U11minusU33plusU12=[U11minusU33plusU12_K1_lunarpart+U11minusU33plusU12_K1_solarpart U11minusU33plusU12_O1 U11minusU33plusU12_P1 U11minusU33plusU12_Q1 U11minusU33plusU12_diurnal_node U11minusU33plusU12_diurnal_LF]; 

  % Compute U13minusU23 values for the diurnal tides:

[U13minusU23_K1_lunarpart,U13minusU23_K1_solarpart,U13minusU23_O1,U13minusU23_P1,U13minusU23_Q1,U13minusU23_diurnal_node,U13minusU23_diurnal_LF]=computeUcombinations_diurnaltides_nodeLF(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

  % Create vector of diurnal U13minusU23 values, adding the lunar and solar parts for K1:

  vector_diurnal_U13minusU23=[U13minusU23_K1_lunarpart+U13minusU23_K1_solarpart U13minusU23_O1 U13minusU23_P1 U13minusU23_Q1 U13minusU23_diurnal_node U13minusU23_diurnal_LF];

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  % Compute U11minusU22plus2U12 values for the semidiurnal tides:

[U11minusU22plus2U12_K2_lunarpart,U11minusU22plus2U12_K2_solarpart,U11minusU22plus2U12_M2,U11minusU22plus2U12_S2,U11minusU22plus2U12_N2,U11minusU22plus2U12_semidiurnal_node,U11minusU22plus2U12_semidiurnal_LF]=computeUcombinations_semidiurnaltides_nodeLF(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

  % Create vector of semidiurnal U11minusU22plus2U12 values, adding the lunar and solar parts for K2:

  vector_semidiurnal_U11minusU22plus2U12=[U11minusU22plus2U12_K2_lunarpart+U11minusU22plus2U12_K2_solarpart U11minusU22plus2U12_M2 U11minusU22plus2U12_S2 U11minusU22plus2U12_N2 U11minusU22plus2U12_semidiurnal_node U11minusU22plus2U12_semidiurnal_LF];

  % Compute U13minusU23 values for the semidiurnal tides:

[U13minusU23_K2_lunarpart,U13minusU23_K2_solarpart,U13minusU23_M2,U13minusU23_S2,U13minusU23_N2,U13minusU23_semidiurnal_node,U13minusU23_semidiurnal_LF]=computeUcombinations_semidiurnaltides_obliquity_nodeLF(inclination,eccentricity,epsilon,M_S,a,M_M,aprime,eccentricityprime);

  % Create vector of semidiurnal U13minusU23 values, adding the lunar and solar parts for K2:

  vector_semidiurnal_U13minusU23=[U13minusU23_K2_lunarpart+U13minusU23_K2_solarpart U13minusU23_M2 U13minusU23_S2 U13minusU23_N2 U13minusU23_semidiurnal_node U13minusU23_semidiurnal_LF];
