function [SchindeleggerResults] = initialize_Schindelegger_results(rotationrates,dissipation_M2,dissipation_O1,jM_M2,jM_O1,oneplusdelta_q0_M2,oneplusdelta_q0_O1,G,M_M,a_presentday,R,S_W_presentday,n_presentday,S_A_presentday,vector_longperiod_U11plusU22minus2U33,vector_diurnal_U13minusU23,vector_semidiurnal_U11minusU22plus2U12);

% rotationrates should be in units of radians/second

% Rewritten from COPY_OF_ENTIREDIRECTORY_MADE_6_APRIL_2019/initialize_Houraa_results_moregeneral.m, for Schindelegger results

% Generates a structure as an output

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Compute ksinchi values from Schindelegger experiments:

ksinchi_values_semidiurnal_Schindeleggerexperiments = 0*rotationrates;
ksinchi_values_diurnal_Schindeleggerexperiments = 0*rotationrates;

for m=1:length(rotationrates)

  % First, for the semidiurnal tides

  omega_E_Schindelegger=rotationrates(m);

  power=dissipation_M2(m);
  jM=jM_M2;
  oneplusdelta_q0=oneplusdelta_q0_M2;

  U11minusU22plus2U12_M2=vector_semidiurnal_U11minusU22plus2U12(2);

  [ksinchi] = compute_semidiurnal_ksinchi_from_powerdissipation(G,M_M,a_presentday,R,oneplusdelta_q0,omega_E_Schindelegger,S_W_presentday,jM,n_presentday,S_A_presentday,U11minusU22plus2U12_M2,power);

  clear U11minusU22plus2U12_M2

  ksinchi_values_semidiurnal_Schindeleggerexperiments(m)=ksinchi;
  clear ksinchi
  clear power jM oneplusdelta_q0

  % Next, for the diurnal tides

  power=dissipation_O1(m);
  jM=jM_O1;
  oneplusdelta_q0=oneplusdelta_q0_O1;

  U13minusU23_O1=vector_diurnal_U13minusU23(2);

  [ksinchi] = compute_diurnal_ksinchi_from_powerdissipation(G,M_M,a_presentday,R,oneplusdelta_q0,omega_E_Schindelegger,S_W_presentday,jM,n_presentday,S_A_presentday,U13minusU23_O1,power);

  clear U13minusU23_O1

  ksinchi_values_diurnal_Schindeleggerexperiments(m) = ksinchi;
  clear ksinchi
  clear power jM oneplusdelta_q0

  clear omega_E_Schindelegger

end % of routine for computing ksinchi values from Schindelegger experiments

% Create a structure of values from Schindelegger simulations:

SchindeleggerResults(1).rotationrates_Schindeleggerexperiments=rotationrates;
SchindeleggerResults(1).ksinchi_values_diurnal_Schindeleggerexperiments=ksinchi_values_diurnal_Schindeleggerexperiments;
SchindeleggerResults(1).ksinchi_values_semidiurnal_Schindeleggerexperiments=ksinchi_values_semidiurnal_Schindeleggerexperiments;

