% This code computes the values of KoverC and xi, in the case where 
%  the inclination of the lunar orbit, i, is fixed to the present-day value

load parameters_presentday_v9_use_structures_nodeLF.mat
   
nprime=EarthMoon_constants.nprime;
G=EarthMoon_constants.G;
M_E=EarthMoon_constants.M_E;
M_M=EarthMoon_constants.M_M;
beta_tidesinMoon=EarthMoon_constants.beta_tidesinMoon;
gamma_tidesinMoon=EarthMoon_constants.gamma_tidesinMoon;
R=EarthMoon_constants.R;
CoverCprime_Moon_coremantledissipation=EarthMoon_constants.CoverCprime_Moon_coremantledissipation;

n_presentday=PresentDayValues_orbitalparameters.n_presentday;
a_presentday=PresentDayValues_orbitalparameters.a_presentday;
inclination_presentday=PresentDayValues_orbitalparameters.inclination_presentday;

a_vector=[0.1:0.0001:1]*a_presentday;
I_lunartilt_vector=[];
KoverC_Moon_coremantledissipation_vector=[];
xi_Moon_coremantledissipation_vector=[];

for m=1:length(a_vector)
  a_dummy=a_vector(m);
  [n_dummy]=compute_n_fromaandnprime(a_dummy,nprime,G,M_E,M_M);
  [dOmega_dt] = compute_noderate(nprime,n_dummy);
  [I_lunartilt] = compute_lunarequatorialtilt_WardEquation(dOmega_dt,inclination_presentday,n_dummy,EarthMoon_constants);
  I_lunartilt_vector=[I_lunartilt_vector I_lunartilt];
  [KoverC_Moon_coremantledissipation,xi_Moon_coremantledissipation] = compute_KoverC_and_xi_lunarCMB(CoverCprime_Moon_coremantledissipation,dOmega_dt,n_dummy,I_lunartilt);
   KoverC_Moon_coremantledissipation_vector=[KoverC_Moon_coremantledissipation_vector KoverC_Moon_coremantledissipation];
   xi_Moon_coremantledissipation_vector=[xi_Moon_coremantledissipation_vector xi_Moon_coremantledissipation];
  
  disp(num2str(m))
end

figure(1)
subplot(3,1,1)
plot(a_vector/EarthMoon_constants.R,KoverC_Moon_coremantledissipation_vector,'k.')
ylabel('K/C (radians/second)')
subplot(3,1,2)                                                               
plot(a_vector/EarthMoon_constants.R,xi_Moon_coremantledissipation_vector,'k.')  
ylabel('chi') 
subplot(3,1,3)                                                               
plot(a_vector/EarthMoon_constants.R,KoverC_Moon_coremantledissipation_vector./(1+xi_Moon_coremantledissipation_vector.^2) / ( KoverC_Moon_coremantledissipation_vector(end)./(1+xi_Moon_coremantledissipation_vector(end).^2) ),'k.')  
ylabel('Normalized K/C/(1+chi^2)') 
xlabel('a/R')
print -dpng test_KoverC_and_xi_lunarCMB_presentdayinclination.png




