% This code searches for where the Cassini state transition for lunar equatorial
%  tilt I takes place, in the case where the inclination of the lunar orbit, i,
%  is fixed to a value equal to the mean found in the Schindelegger simulations

load parameters_presentday_v9_use_structures_nodeLF.mat
   
nprime=EarthMoon_constants.nprime;
G=EarthMoon_constants.G;
M_E=EarthMoon_constants.M_E;
M_M=EarthMoon_constants.M_M;
beta_tidesinMoon=EarthMoon_constants.beta_tidesinMoon;
gamma_tidesinMoon=EarthMoon_constants.gamma_tidesinMoon;
R=EarthMoon_constants.R;

n_presentday=PresentDayValues_orbitalparameters.n_presentday;
a_presentday=PresentDayValues_orbitalparameters.a_presentday;

% Here is where the inclination is re-set to the mean value from the Schindelegger simulations:
inclination_presentday=15.18*pi/180;

a_vector=[0.1:0.0001:1]*a_presentday;
I_lunartilt_vector=[];

for m=1:length(a_vector)
  a_dummy=a_vector(m);
  [n_dummy]=compute_n_fromaandnprime(a_dummy,nprime,G,M_E,M_M);
  [dOmega_dt] = compute_noderate(nprime,n_dummy);
  [I_lunartilt] = compute_lunarequatorialtilt_WardEquation(dOmega_dt,inclination_presentday,n_dummy,EarthMoon_constants);
  I_lunartilt_vector=[I_lunartilt_vector I_lunartilt];
  disp(num2str(m))
end
  
plot(a_vector/R,I_lunartilt_vector*(180/pi),'k.')
(180/pi)*I_lunartilt_vector(4224:4232)
%ans = 
% -47.0268  -51.8010  -51.4580  -51.0414  -50.4582   46.9284   46.9118 46.8952   46.8786


a_vector(4224:4232)/R
%ans =
% 31.4781   31.4841   31.4902   31.4962   31.5022   31.5082   31.5143  31.5203   31.5263


% So, the transition takes place at a ~ 31.50 R

save test_WardEquation_largerinclination.mat a_vector I_lunartilt_vector 
