% This code searches for where the Cassini state transition for lunar equatorial
%  tilt I takes place, in the case where the inclination of the lunar orbit, i,
%  is fixed to the present-day value

load parameters_presentday_v9_use_structures_nodeLF.mat
   
nprime=EarthMoon_constants.nprime;
G=EarthMoon_constants.G;
M_E=EarthMoon_constants.M_E;
M_M=EarthMoon_constants.M_M;
beta_tidesinMoon=EarthMoon_constants.beta_tidesinMoon;
gamma_tidesinMoon=EarthMoon_constants.gamma_tidesinMoon;
R=EarthMoon_constants.R;

n_presentday=PresentDayValues_orbitalparameters.n_presentday;
a_presentday=PresentDayValues_orbitalparameters.a_presentday;
inclination_presentday=PresentDayValues_orbitalparameters.inclination_presentday;

a_vector=[0.1:0.0001:1]*a_presentday;
I_lunartilt_vector=[];

for m=1:length(a_vector)
  a_dummy=a_vector(m);
  [n_dummy]=compute_n_fromaandnprime(a_dummy,nprime,G,M_E,M_M);
  [dOmega_dt] = compute_noderate(nprime,n_dummy);
  [I_lunartilt] = compute_lunarequatorialtilt_WardEquation(dOmega_dt,inclination_presentday,n_dummy,EarthMoon_constants);
  I_lunartilt_vector=[I_lunartilt_vector I_lunartilt];
  disp(num2str(m))
end
  
plot(a_vector/R,I_lunartilt_vector*(180/pi),'k.')
(180/pi)*I_lunartilt_vector(4592:4598)
%ans =

% -25.5508  -25.6699  -25.7929  -25.9201   42.8493   42.8226   42.7960

a_vector(4592:4598)/R
%ans =

% 33.6960   33.7020   33.7080   33.7141   33.7201   33.7261   33.7321


% So, the transition takes place at a ~ 33.72 R

save test_WardEquation_presentdayinclination.mat a_vector I_lunartilt_vector 
