% This code searches for where the Cassini state transition for lunar equatorial
%  tilt I takes place, in the case where the inclination of the lunar orbit, i,
%  is fixed to a value equal to the mean found in the Schindelegger simulations

load parameters_presentday_v9_use_structures_nodeLF.mat
   
nprime=EarthMoon_constants.nprime;
G=EarthMoon_constants.G;
M_E=EarthMoon_constants.M_E;
M_M=EarthMoon_constants.M_M;
beta_tidesinMoon=EarthMoon_constants.beta_tidesinMoon;
c=EarthMoon_constants.c;
R=EarthMoon_constants.R;
CoverCprime_Moon_coremantledissipation=EarthMoon_constants.CoverCprime_Moon_coremantledissipation;

n_presentday=PresentDayValues_orbitalparameters.n_presentday;
a_presentday=PresentDayValues_orbitalparameters.a_presentday;

% Here is where the inclination is re-set to the mean value from the Schindelegger simulations:
inclination_presentday=15.18*pi/180;

a_vector=[0.1:0.0001:1]*a_presentday;
I_lunartilt_vector=[];

for m=1:length(a_vector)
  a_dummy=a_vector(m);
  [n_dummy]=compute_n_fromaandnprime(a_dummy,nprime,G,M_E,M_M);
  [dOmega_dt] = compute_noderate(nprime,n_dummy);
  [KoverC_Moon_coremantledissipation,xi_Moon_coremantledissipation,I_lunartilt] = compute_lunarequatorialtilt_Williams2001(dOmega_dt,a_dummy,inclination_presentday,n_dummy,EarthMoon_constants);
  I_lunartilt_vector=[I_lunartilt_vector I_lunartilt];
  disp(num2str(m))
end
  
plot(a_vector/R,I_lunartilt_vector*(180/pi),'k.')
% I_lunartilt_vector takes on large imaginary parts between 4493 and 5580

(180/pi)*I_lunartilt_vector(4482:4488)
%ans =
% -84.6919  -85.7468  -87.1912       NaN       NaN       NaN       NaN


a_vector(4482:4488)/R
%ans =
% 33.0330   33.0390   33.0451   33.0511   33.0571   33.0632   33.0692

(180/pi)*I_lunartilt_vector(5577:5583)
%ans = 
% NaN       NaN       NaN   87.1997   85.4337   84.1578   83.1071

a_vector(5577:5583)/R
%ans = 39.6324   39.6384   39.6444   39.6505   39.6565   39.6625   39.6686

% So, the solutions are in a no mans land for a values between about 33.0 and 39.7 Rearth

save test_Williams2001_largerinclination.mat a_vector I_lunartilt_vector 


  


