% This code searches for where the Cassini state transition for lunar equatorial
%  tilt I takes place, in the case where the inclination of the lunar orbit, i,
%  is fixed to the present-day value

load parameters_presentday_v9_use_structures_nodeLF.mat
   
nprime=EarthMoon_constants.nprime;
G=EarthMoon_constants.G;
M_E=EarthMoon_constants.M_E;
M_M=EarthMoon_constants.M_M;
beta_tidesinMoon=EarthMoon_constants.beta_tidesinMoon;
c=EarthMoon_constants.c;
R=EarthMoon_constants.R;
CoverCprime_Moon_coremantledissipation=EarthMoon_constants.CoverCprime_Moon_coremantledissipation;

n_presentday=PresentDayValues_orbitalparameters.n_presentday;
a_presentday=PresentDayValues_orbitalparameters.a_presentday;
inclination_presentday=PresentDayValues_orbitalparameters.inclination_presentday;

a_vector=[0.1:0.0001:1]*a_presentday;
I_lunartilt_vector=[];

for m=1:length(a_vector)
  a_dummy=a_vector(m);
  [n_dummy]=compute_n_fromaandnprime(a_dummy,nprime,G,M_E,M_M);
  [dOmega_dt] = compute_noderate(nprime,n_dummy);
  [KoverC_Moon_coremantledissipation,xi_Moon_coremantledissipation,I_lunartilt] = compute_lunarequatorialtilt_Williams2001(dOmega_dt,a_dummy,inclination_presentday,n_dummy,EarthMoon_constants);
  I_lunartilt_vector=[I_lunartilt_vector I_lunartilt];
  disp(num2str(m))
end
  
plot(a_vector/R,I_lunartilt_vector*(180/pi),'k.')
% I_lunartilt_vector takes on large imaginary parts between 4892 and 5260

(180/pi)*I_lunartilt_vector(4888:4892)
%ans =
%-82.3079  -85.1557    NaN    NaN       NaN


a_vector(4888:4892)/R
%ans =
%35.4799   35.4859   35.4920   35.4980   35.5040

(180/pi)*I_lunartilt_vector(5258:5262)
%ans =  NaN       NaN       NaN   84.7883   82.2045
%

a_vector(5258:5262)/R
%ans = 37.7098   37.7159   37.7219   37.7279   37.7339

% So, the solutions are in a no mans land for a values between about 35.5 and 37.7 Rearth

save test_Williams2001_presentdayinclination.mat a_vector I_lunartilt_vector 


  


