% This code was written on December 23, 2020, in order to rewrite the
%   arguments of the various lunar Q factors in the paper to align with
%   Table 1 of Williams and Boggs 2015.  For simplicity, the 
%   "compute_YY_tidesinMoon" codes retain the arguments used in Jim
%   Williams Word document "Arbic More Moon Tides 112920".  

% First, I believe that what Jim referred to as "Q_M" in the Word document 
%   should be "Q_l" wrt Table 1 of Williams and Boggs 2015

% Second, I believe that what Jim referred to as "Q_F" in the Word document
%   should also be "Q_F" wrt Table 1 of Williams and Boggs 2015

% Let us see if that corresponds to the "Relevant periods" in our Table
%   of lunar Q values (note that the "Relevant periods" came from a
%   Table that Jim wrote up in response to my email queries

period_l = 27.555; % in days
omega_l=2*pi/(period_l*86400);

period_F = 27.212; % in days
omega_F=2*pi/(period_F*86400);

omega_Fminusl=omega_F-omega_l;
period_Fminusl=(2*pi/omega_Fminusl)*(1/86400)
% answer 2186; close to 2190 day F-l period in Williams and Boggs Table 1

omega_Fplusl=omega_F+omega_l;
period_Fplusl=(2*pi/omega_Fplusl)*(1/86400)
% answer 13.6912; agrees with F+l period in Williams and Boggs Table 1

omega_2F=2*omega_F;
period_2F=(2*pi/omega_2F)*(1/86400)
% answer 13.606; agrees with 2F period in Williams and Boggs Table 1

omega_2Fminusl=2*omega_F-omega_l;
period_2Fminusl=(2*pi/omega_2Fminusl)*(1/86400)
% answer 26.8774; 2F-l period is not listed in Williams and Boggs Table 1; but this is close to monthly which agrees with Jim wrote up in his Word document table

omega_2Fplusl=2*omega_F+omega_l;
period_2Fplusl=(2*pi/omega_2Fplusl)*(1/86400)
% answer 9.108; agrees with 2Fplusl period in Williams and Boggs Table 1

% The 3F and 4F periods are not in Williams and Boggs Table 1; however, as with the 2Fminusl period we can at least compare to what Jim wrote up in his Word document table



omega_3F=3*omega_F;
period_3F=(2*pi/omega_3F)*(1/86400)
% answer 9.0707; agrees with description "1/3 month" in Williams Word Table

omega_3Fminusl=3*omega_F-omega_l;
period_3Fminusl=(2*pi/omega_3Fminusl)*(1/86400)
% answer 13.5218; agrees with description "1/2 month" in Williams Word Table

omega_3Fplusl=3*omega_F+omega_l;
period_3Fplusl=(2*pi/omega_3Fplusl)*(1/86400)
% answer 6.8242; agrees with description "1/4 month" in Williams Word Table




omega_4F=4*omega_F;
period_4F=(2*pi/omega_4F)*(1/86400)
% answer 6.8030; agrees with description "1/4 month" in Williams Word Table

omega_4Fminusl=4*omega_F-omega_l;
period_4Fminusl=(2*pi/omega_4Fminusl)*(1/86400)
% answer 9.0332; agrees with description "1/3 month" in Williams Word Table

omega_4Fplusl=4*omega_F+omega_l;
period_4Fplusl=(2*pi/omega_4Fplusl)*(1/86400)
% answer 5.4560; agrees with description "1/5 month" in Williams Word Table


% IN SUMMARY, WHERE THE CODE HAS "M" IN THE SUBSCRIPT FOR LUNAR Q VALUES, WE REPLACE IT BY "l" IN THE PAPER TEXT



