% This code tests the computation of the present-day precession rate, 
%   following Jim Williams emails of April 26 and May 3, 2021.

load parameters_presentday_v9_use_structures_nodeLF.mat
omega_E=PresentDayValues_orbitalparameters.omega_E_presentday;
eccentricity=PresentDayValues_orbitalparameters.eccentricity_presentday;
epsilon=PresentDayValues_orbitalparameters.epsilon_presentday;
a=PresentDayValues_orbitalparameters.a_presentday;
inclination=PresentDayValues_orbitalparameters.inclination_presentday;

[dpsi_dt_lunarpart,dpsi_dt_solarpart] = compute_precession_rate(EarthMoon_constants,omega_E,eccentricity,epsilon,a,inclination);

dpsi_dt_lunarpart
% answer 5.2304e-12
dpsi_dt_solarpart
% answer 2.4240e-12

(2*pi/(dpsi_dt_lunarpart+dpsi_dt_solarpart))*(1/86400)*(1/365.25)*(1/1000)
% answer 26.0113 kiloyears


